Installing Weather Watcher Live
Minimum Requirements:

· IBM compatible PC
· Windows 2000, Windows XP, Windows Vista, or Windows 7
· 12 MB free disk space

Installation:

Weather Watcher Live should be installed using the Weather Watcher Live setup. The current Weather Watcher Live setup can be downloaded from www.WeatherWatcherLive.com .

The Weather Watcher Live setup was created using Inno Setup . The setup process can customized using the available setup command line parameters .

Settings Locations:

Weather Watcher Live stores your personal settings in your Windows profile and the following Windows registry key:

HKEY_CURRENT_USER\Software\VB and VBA Program Settings\Weather Watcher Live

If you'd rather save your personal settings in the Weather Watcher Live program folder, then check the "Store user files in the Weather Watcher Live program folder" checkbox in the General tab of the Weather Watcher Live Options window.

Upgrading:

Newer versions of Weather Watcher Live can be installed over an older version. Ensure Weather Watcher Live is closed before attempting to run the new setup. Weather Watcher Live can be closed by choosing Exit from the Weather Watcher Live system tray menu.

Note: If you have any trouble exiting Weather Watcher Live, then press ALT+CTRL+DEL to open the Windows Task Manager, and end all ww.exe, dl.exe and getfile.exe processes from the Processes tab of the Windows Task Manager window.


Technical Support
Support Forums:

The Weather Watcher Live support forums are a great place to start if you are in search of answers that cannot be found in this manual.

http://www.SingersCreations.com/Forum

Bug Report:

Bug Reports can be submitted from the following link:

http://www.SingersCreations.com/Bug-Report.asp?Application=Weather%20Watcher%20Live

Tips for Submitting Bug Reports:

1. Don't report bugs about old versions. New bugs are fixed every time a new version of Weather Watcher is released. Before submitting a Bug Report, please upgrade to the latest version to make sure the bug you are experiencing still exists.

2. Always search the support forums first. The odds are good that if you've found a problem, someone else has found it too.

3. Don't leave out any important details. What did you do? What did you expect to happen? What actually happened? Include as much relevant information as possible.


Obtaining Updates
New Weather Watcher Live releases can be downloaded from www.WeatherWatcherLive.com .

Note: The download links at www.WeatherWatcherLive.com will often redirect to other download locations in order to spread out bandwidth usage. If you are using a download helper, you might have to disable it in order to be redirected to the download location.


Stations Options
Use the Stations Options to set the weather station for which the weather is retrieved. While more than one weather station can be added to the "Active Station" dropdown box, the weather information can only be displayed for one weather station at a time.

You can easily switch the active station from the "Change Active Station" menu item in the Weather Watcher Live system tray menu. This menu can also be accessed by right-clicking the main Weather Watcher Live interface.

Add Station: Click this button to open the Weather Watcher Live Station Search window. The Station Search window will allow you to add a new city by US zip code or city name.

Edit Station: Click this button to edit the name of the selected Active Station. This is the name that appears at the top of the Weather Watcher Live weather forecasts.

Remove Station: Click this button to remove the weather station that is currently selected in the "Active Station" dropdown box.

Remove All: Click this button to remove all weather stations from the "Active Station" dropdown box.


Auto Update Options
Use the Auto Update Options to set the interval at which Weather Watcher Live downloads the weather data.

Forecast Auto Update Rate: Set this dropdown box to "Never auto update" if you would like to manually retrieve the weather information. Otherwise, the weather information will automatically be downloaded at the selected interval.

Only download updates when connected to the Internet: Check this box if you are using Weather Watcher Live on a computer that is not always connected to the Internet (e.g. dial-up connection).

Note: If you are receiving the "Internet not found" error message, then this check box must be unchecked in order to retrieve the weather information.

Auto retry every minute when update attempt fails: Check this box if you would like Weather Watcher Live to automatically attempt to retrieve the weather information again if the initial update attempt fails.

Set tray icon to Italic when update attempt fails: Check this box to set the Weather Watcher system tray icon font to Italic when Weather Watcher Live is not able to retrieve the weather data.

Do not retrieve weather if screen saver is running: Check this box to disable the auto updates while your screen saver is active.


Conversion Options
Use the Conversion Options to specify which units of measure are used when displaying the weather information.

Display wind direction in degrees: Check this box to display the wind direction in degrees, instead of the selected wind unit.

Display tenths when using Celsius temperatures: Check this box to show the tenths place for temperature values.


Export Options
Use the Export Options to save the weather information to a local .HTML file each time the weather is updated. The local .HTML export file is replaced each time the weather information is retrieved.

Enable Exporter: Check to enable the export feature. This check box must be checked in order to set the export settings

Browse...: Click this button to set the path of the local .HTML file to export.

View Export: Click this button to view the last local .HTML file that was exported.

Delete Export: Click this button to delete the last saved export file.

Use Default Template: Click this button to use the default export template. Any of the template codes may be used to designate how the weather information is displayed when the weather information is exported.


Log Options
Use the Log Options to save the weather information to a local log file each time the weather is updated. The log file is appended each time the weather information is retrieved.

Enable Logger: Check this box to enable the log feature. This check box must be checked in order to set the log settings.

Browse..: Click this button to set the path of the local file to log.

View Log: Click this button to view the current log file.

Delete Log: Click this button to delete the last saved log file.

Use Default Template: Click this button to use the default log template. Any of the template codes may be used to designate how the weather information is displayed when the weather information is logged.


General Options
Use the General Options to set up the features that are used when Weather Watcher Live is started. This area also includes other miscellaneous options.

Start minimized: Check this box to keep the Weather Watcher main window minimized when Weather Watcher Live is started.

Set tray icon to Italic until first weather update: Check this box to set the Weather Watcher system tray icon font to Italic when Weather Watcher Live is started. After the first weather update has occurred, the Weather Watcher system tray icon will revert to normal text.

Retrieve forecasts: Check this box to automatically retrieve the weather information when Weather Watcher Live is started.

Check for new version: Check this box to automatically check if a new version of Weather Watcher Live has been released when Weather Watcher Live is started. This feature can also be accessed by clicking the "Check for New Version" menu item in the Weather Watcher Live system tray menu.

Load when Windows starts: Check this box to automatically start Weather Watche r Live when Windows is started.


Maps Options
Use the Maps Options to specify the behavior of the maps dropdown menu. The full list of maps can be accessed by right-clicking certain areas of the main Weather Watcher interface. The Map History can also be accessed from the "Map History" item in the Weather Watcher Live system tray menu.

View maps in default web browser: Check this box to view maps in your default web browser, rather than viewing them in the Weather Watcher Live Map Viewer.

Remember size of each Map Viewer window: Check this box to load each map using the same size and location in which the Weather Watcher Live Map Viewer window was last loaded for each loaded map.

Stretch maps to fit Map Viewer window: Check this box to ensure the maps are displayed at the best possible size when viewing maps in the Weather Watcher Live Map Viewer window. If unchecked, the maps might stretch beyond the height/width of the Weather Watcher Live Map Viewer window.

View Map: Click this button to display the map selected in the "Map History" list box.

Remove Map: Click this button to delete the selected map from the "Map History" list box.


On Download Options
Use the On Download Options to configure settings used when the weather information is downloaded.

Display time downloaded: Check this box to display the time the weather information was downloaded on the weather forecasts. This information may be missing if not using the "Splendid" interface skin.

Display time observed at weather.com: Check this box to display the time the weather information was last observed. This information may be missing if not using the "Splendid" interface skin.

Use 24-hour time system: Check this box to display the time downloaded and/or time observed time(s). This information may be missing if not using the "Splendid" interface skin.

Disable Internet Explorer clicking sound: Check this box to disable the default Internet Explorer clicking sound that is played when the web browser loads a new webpage. Weather Watcher Live uses an instance of Internet Explorer to display the weather information, so the normal Internet Explorer settings will reflect how the Internet Explorer instance functions within Weather Watcher Live.


Proxy Options
Use the Proxy Options to configure a proxy server that uses authentication. If proxy authentication is not being used, then these options should not be modified.

Note: Weather Watcher Live will use the proxy server/port that you have specified within the Internet Explorer options.


Severe Alert Options
Use the Severe Alert Options to filter out unwanted severe weather alerts.

Ignore alerts that include filtered words/phrases: Click this radio button to ignore all severe weather alerts that include any of the words or phrases entered in the severe alert filter list box.

Show alerts that include filtered words/phrases: Click this radio button to show all severe weather alerts that include any of the words or phrases entered in the severe alert filter list box.

Add: After entering a new word/phrase, click this button to add your new word/phrase to the severe alert filter list box.

Remove: After selecting a word/phrase from the severe alert filter list box, click this button to remove the word/phrase.


Skins Options
Use the Skins Options to setup the look and feel of the main Weather Watcher Live window.

Interface Skin: Select the skin to use for the main Weather Watcher Live window. This skin defines the look of the outside of the main Weather Watcher Live window.

Tray Icon: Select the skin to use for the icons displayed in the Weather Watcher Live system tray icon.

Tray Tooltip Skin: Select the skin to use for the custom tooltip window that appears while hovering the mouse pointer over the Weather Watcher Live system tray icon.


Sounds Options
Use the Sounds Options to specify .WAV sounds to be played when certain pre-defined events occur within Weather Watcher.

Setting a Sound:

1. Select the desired event from the "Event" dropdown box.

2. Select the desired sound to play from the "Sounds" dropdown box. If the "Sounds" dropdown box is empty, then click the Browse... button to locate the .WAV sound to play.

Search for New Sounds:

Many free .WAV sound files can be downloaded from the Internet. Try starting your search from the following link:

http://www.google.com/search?hl=en&q=free+wav


Tray Icon Options
Use the Tray Icon Options to set up the look and feel of the Weather Watcher Live system tray icon.

Display feels like temperature: Check this box to display the feels like temperature in the Weather Watcher Live system tray icon, rather than displaying the actual temperature.

Display degree symbol: Check this box to display the degree symbol in the Weather Watcher system tray icon. If this option is checked, the Weather Watcher Live tray icon may take up more space than is allotted by Windows in the system tray.

Hide first digit when reaching 100°: Check this box to hide the first digit of the temperature value in the Weather Watcher Live system tray icon. If this option is unchecked, the Weather Watcher Live tray icon may take up more space than is allotted by Windows in the system tray when the temperature reaches 100°.

Show tray balloon when new severe alert is retrieved: Check this box to pop up a system tray balloon when a new severe weather alert is retrieved. When the system tray balloon is displayed, either click the tray balloon to display the newly downloaded weather alert, or click the "x" to close the balloon.

Never display tenths place: Check this box to hide the tenths place in the temperature value in the Weather Watcher Live system tray icon. If this option is not checked, the Weather Watcher Live tray icon may take up more space than is allotted by Windows in the system tray (this option only applies to Celsius temperatures).

Hide sign when negative: Check this box to hide the negative sign in the temperature value in the Weather Watcher Live system tray icon.

Left-Double-Click Action: Select the action to perform when the Weather Watcher Live system tray icon is double-left-clicked.

Left-Single-Click Action: Select the action to perform when the Weather Watcher Live system tray icon is single-left-clicked.


Tray Tooltip Options
Use the Tray Tooltip Options to set format used when displaying the Weather Watcher Live system tray icon tooltip window.

Values to Show in Tray Tooltip: Select the values to display in the Weather Watcher Live system tray tooltip window. The values will appear in the order they are listed.

Use skinned tray tooltip window: Check this box to display the skinned Weather Watcher Live tooltip window, rather than the standard Windows tooltip window.

Use custom tray tooltip window location: Check this box to set the skinned tooltip window display position. When this check box is checked, the Weather Watcher Live skinned tooltip window will appear and follow your mouse until you choose the location and click the mouse again to set the location.

Abbreviate value descriptions: Check this box to abbreviate the descriptions printed beside each value in the Weather Watcher system tray tooltip.

Note: This setting is only recommended for use when using the standard Windows tooltip window and displaying a large number of tray tooltip values.

Hide value descriptions: Check this box to hide the descriptions printed beside each value in the Weather Watcher Live system tray tooltip.

Note: This setting is only recommended for use when using the standard Windows tooltip window and displaying a large number of tray tooltip values.

Hide measurement units: Check this box to hide the units printed beside each value in the Weather Watcher Live system tray tooltip.

Note: This setting is only recommended for use when using the standard Windows tooltip window and displaying a large number of tray tooltip values.


Wallpaper Options
Use the Wallpaper Options to configure the map to use as the Windows desktop wallpaper.

Wallpaper Auto Update: Set this drop down box to "Never auto update" if you would like to disable the Weather Watcher Live wallpaper feature. When an interval is set, the wallpaper can also be manually updated at any time by selecting the "Refresh Wallpaper" menu item from the Weather Watcher Live system tray menu.

Only update wallpaper when connected to the Internet: Check this box if you are using Weather Watcher Live on a computer that is not always connected to the Internet (e.g. dial-up connection).

Note: If you are receiving the "Internet not found" error message, then this check box must be unchecked in order to retrieve the weather information.

On exiting Weather Watcher, reset wallpaper: Check this box to automatically reset the Windows desktop wallpaper to the wallpaper image that was being used before Weather Watcher was started.

Do not update wallpaper of screen saver is running: Check this box to disable the wallpaper auto updates while your screen saver is active.

Update wallpaper when a severe alert is downloaded: Check this box to automatically perform a one-time wallpaper update when a severe weather alert is downloaded.

Archive wallpaper image when wallpaper is updated: When this box is checked, wallpaper images will be saved in "C:\Program Files\Weather Watcher Live" when the wallpaper is refreshed. The archived images are named using the current date and time for proper sorting.

Update wallpaper on Weather Watcher startup: Check this box to automatically perform a one-time wallpaper update when Weather Watcher is started.


"Internet Not Found" Error Message
To resolve this problem, uncheck the Only download updates when connected to the Internet check box in the Auto Update tab of the Weather Watcher Options window.


"Server Not Found" Error Message
Many factors can cause the "Server not found" error to appear when retrieving the weather or searching for cities. Below is a list of all known fixes.

1. Uninstall Weather Watcher using the Uninstall Weather Watcher Live link from the Weather Watcher Live folder in your Windows Start menu. Then, reinstall Weather Watcher from www.WeatherWatcherLive.com .

2. If you're using a software firewall (e.g. Zone Alarm, Norton Internet Security), then make sure your firewall is allowing Internet access to "C:\Program Files\Weather Watcher Live\DL.EXE" and "C:\Program Files\Weather Watcher Live\GETFILE.EXE". DL.EXE and GETFILE.EXE are used to download data from the Internet, so it must have Internet access. You can try shutting down your firewall to verify the blockage.

3. If you're using an authenticated proxy server, then make sure you complete the Proxy section of the Weather Watcher Live Options.

4. Make sure you are not running any other programs that might be blocking Internet access to "C:\Program Files\Weather Watcher Live\DL.EXE" and "C:\Program Files\Weather Watcher Live\GETFILE.EXE".

5. Make sure you can access www.weatherbug.com in your web browser. It's possible that your computer is being blocked from viewing their website.

6. Try toggling your Internet Explorer Options. Open Internet Explorer, and go to "Tools" --> "Internet Options..." in the program menu. Click the "Advanced" tab and scroll down to the Security settings at the bottom. Check any option, click "Apply", uncheck the same option, and click "Apply" again.

7. Some people have found that some of the Internet Explorer Security Options are causing the problem. Unchecking the following Internet Explorer Options fixed the problem for various people:

· Do not save encrypted pages to disk
· Warn about invalid site certificates
· Warn if changing between secure and not secure mode
· Warn if forms submittal is being redirected

8. If you're using a proxy server, enable the "Use HTTP 1.1 through proxy connections" Internet Explorer Option.

9. If you're using Windows XP, install Windows SP2: http://www.microsoft.com/windowsxp/sp2/default.mspx

10. If you're using Firefox, then try running through the following steps:

· Open Firefox and go to Tools --> Options... in the top menu.
· Click the Content tab in the Firefox Options window.
· Click the first Exceptions button, enter www.weatherbug.com in the Address of web site text box, click the Allow button, and click the Close button.
· Do the same with the second Exceptions button.


Tray icon not loading at Windows startup
1. Make sure you have the Load when Windows starts check box checked in the General tab of the Weather Watcher Live Options window.

2. If you're using the Windows Hide inactive icons taskbar setting, then double-check that Weather Watcher Live is set to always show.

Note: You can access the taskbar options window by right-clicking an empty area on the Windows taskbar and choosing "Properties" from the right-click menu. This only applies if the Hide inactive icons check box is checked at the bottom of the taskbar options window.

3. Check if the Weather Watcher Live process (ww.exe) is running in the Processes tab of the Windows Task Manager. Press ALT+CTRL+DEL to access the Windows Task Manager.

Note: If the ww.exe process is present, then the problem is most likely being caused by a conflict on your computer. See the links below for a boatload of advice on this issue:

http://www.techspot.com/vb/all/windows/t-4422-Win-XP-system-Tray.html

 http://www.techspot.com/vb/showthread.php?s=&threadid=8642&perpage=15&pagenumber=1


Access Weather Watcher Live Options
The Weather Watcher Live Options window can be accessed in the following ways:

1. Right-click the Weather Watcher Live system tray icon and choose Options....

2. Right-click the main Weather Watcher Live interface to access the same menu.


Disable the wallpaper feature
To disable the wallpaper feature:

1. Select "Never auto update" from the dropdown box in the "Wallpaper" Weather Watcher Live Options.

2. Uncheck all of the check boxes in the Wallpaper Weather Watcher Live Options.

3. Manually reset your wallpaper by right-clicking an empty area on your desktop, choosing Properties from the dropdown menu, and changing the wallpaper image from the Desktop tab.


Install new skins
Additional Weather Watcher Live Skins can be downloaded from the Weather Watcher Live forums at the following link:

http://www.SingersCreations.com/Forum


Print forecasts
Since the forecasts are displayed within an instance of Internet Explorer, you can access the Internet Explorer menu by right-clicking anywhere on the forecast area in Weather Watcher. To print a forecast, right-click anywhere in the forecast area and choose Print... from the dropdown menu.


Rotate desktop wallpaper maps
To Setup a Map Rotation:

1. Set the desired map interval in Wallpaper tab of the Weather Watcher Live Options window.

2. Hold down the CTRL key and select each map from the map list by clicking the map name.

3. Click the OK button to save your changes and prepare to watch your selected maps rotate on your desktop at the set interval.


Uninstall Weather Watcher Live
Follow the steps below to uninstall Weather Watcher Live:

1. Make sure Weather Watcher Live is not running. Select "Exit" from the Weather Watcher Live system tray icon menu to shut down Weather Watcher Live.

Note: If Weather Watcher Live is running, but you cannot see the Weather Watcher Live system tray icon, then end all ww.exe, dl.exe and getfile.exe processes from the Processes tab in the Windows Task Manager. Press ALT+CTRL+DEL to access the Windows Task Manager.

2. Once, Weather Watcher Live has been closed, run the uninstall program from the Add/Remove section of the Windows Control Panel, or from the Weather Watcher Live folder in your Windows Start menu.

Note: In Windows Vista, the Add/Remove Windows Control Panel section has been renamed to Programs and Features.

3. When you run Weather Watcher Live, it creates some files that contain your user settings. Since the uninstaller does not know those files exist, it will not remove them. You can manually remove them by deleting the "C:\Program Files\Weather Watcher Live" folder, or the folder where you installed Weather Watcher Live.


Template Codes
The following data tags can be used to customize the look of the Weather Watcher Live forecast skins. You'll find the skins in the following location:

C:\Program Files\Weather Watcher Live\Skins

The data tags can also be used to customize the data that is displayed in the Export and Log features. Those features can be setup in the "Export" and "Log" tabs of the Weather Watcher Options window.

Unfortunately, there aren't detailed instructions regarding this process, but you should be able to figure the process out if you have a basic understanding of HTML and take a few minutes to look through the *.WTP template files in the "C:\Program Files\Weather Watcher Live\Skins\Forecasts" folder.

The following codes can be used in all of the .WTP template files:

Current Data Tags:

[ALERTS AVAILABLE] = False
[ALERTS COUNT] = N/A
[BAROMETER] = 753.6 mm and steady
[BAROMETER PLAIN] = 753.6
[BAROMETER PLAIN NOT CONVERTED] = 29.67
[BAROMETER HIGH] = 29.62 inches and falling
[BAROMETER HIGH PLAIN] = 29.62
[BAROMETER HIGH PLAIN NOT CONVERTED] = 29.45
[BAROMETER LOW] = 29.45 inches and falling
[BAROMETER LOW PLAIN] = 29.45
[BAROMETER LOW PLAIN NOT CONVERTED] = 29.45
[BAROMETER RATE] = -0.02 inches
[BAROMETER RATE PLAIN] = -0.02
[CONDITION] = Cloudy and Windy
[DATE] = 4/3/2006
[DEW] = 8°C
[DEW DEGREE] = 8°
[DEW PLAIN] = 8
[DEW PLAIN NOT CONVERTED] = 47
[DEW RETURN] = 8°C<BR>
[DEW PARENS] = 8°C
[DOWNLOADED DATETIME] = 4/3/2006 10:37:32 PM
[FEELS] = 10°C
[FEELS DEGREE] = 10°
[FEELS PLAIN] = 10
[FEELS PLAIN NOT CONVERTED] = 50
[FEELS RETURN] = 10°C<BR>
[FEELS PARENS] = 10°C
[HUMIDITY] = 89%
[HUMIDITY PLAIN] = 89
[HUMIDITY HIGH] = 93%
[HUMIDITY HIGH PLAIN] = 93
[HUMIDITY LOW] = 22%
[HUMIDITY LOW PLAIN] = 22
[HUMIDITY RATE] = -1%
[HUMIDITY RATE PLAIN] = -1
[HUMIDITY PLAIN NOT CONVERTED] = 89
[ICON] = C:/Users/HP_Administrator/AppData/Roaming/WeatherWatcherLive/Skins/Icons/WeatherBug/cond003.gif
[OBSERVED DATETIME] = 4/3/06 10:25 PM EDT
[RAIN MONTH] = 0.70 inches
[RAIN MONTH PLAIN] = 0.70
[RAIN MONTH PLAIN NOT CONVERTED] = 0.70
[RAIN RATE] = 0.00 inches
[RAIN RATE PLAIN] = 0.00
[RAIN RATE MAX] = 0.04 inches
[RAIN RATE MAX PLAIN] = 0.04
[RAIN TODAY] = 0.01 inches
[RAIN TODAY PLAIN] = 0.01
[RAIN TODAY PLAIN NOT CONVERTED] = 0.01
[RAIN YEAR] = 6.05 inches
[RAIN YEAR PLAIN] = 6.05
[RAIN YEAR PLAIN NOT CONVERTED] = 6.05
[STATION] = Harrisburg, PA (Camp Curtain School)
[SUNRISE] = 6:48
[SUNRISE AMPM] = 6:48 AM
[SUNSET] = 7:34
[SUNSET AMPM] = 7:34 PM
[TEMP] = 10.3°C
[TEMP ROUND] = 10°C
[TEMP DEGREE] = 10.3°
[TEMP DEGREE ROUND] = 10°
[TEMP PLAIN] = 10.3
[TEMP PLAIN ROUND] = 10
[TEMP PLAIN NOT CONVERTED] = 50.3
[TEMP PLAIN NOT CONVERTED ROUND] = 50
[TEMP RETURN] = 10.3°C<BR>
[TEMP RETURN ROUND] = 10°C<BR>
[TEMP PARENS] = 10.3°C
[TEMP PARENS ROUND] = 10°C
[TEMP RATE] = 0.7°F
[TEMP RATE DEGREE] = 0.7
[TEMP RATE PLAIN] = 0.7
[TEMP HIGH] = 10°C
[TEMP HIGH DEGREE] = 10°
[TEMP HIGH PLAIN] = 10
[TEMP HIGH PLAIN NOT CONVERTED] = 50
[TEMP HIGH RETURN] = 10°C<BR>
[TEMP HIGH PARENS] = 10°C
[TEMP LOW] = 10°C
[TEMP LOW DEGREE] = 10°
[TEMP LOW PLAIN] = 10
[TEMP LOW PLAIN NOT CONVERTED] = 50
[TEMP LOW RETURN] = 10°C<BR>
[TEMP LOW PARENS] = 10°C
[TIME] = 10:37:32 PM
[UPDATED] = Observed Monday, April 3 @ 10:25 PM EDT @ T74002111
Downloaded Monday, April 3 @ 10:37 PM
[WIND] = 11 km/h
[WIND FULL] = NNE 11 km/h
[WIND PLAIN] = 11
[WIND PLAIN NOT CONVERTED] = 7
[WIND NO DIRECTION] = 11 km/h
[WIND NO GUST] = NNE 11 km/h
[WIND DEGREES] = 315
[WIND DEGREES REVERSED] = 135
[WIND DEGREES AVG] = 315
[WIND DIRECTION] = NNE
[WIND DIRECTION PLAIN] = NNE
[WIND DIRECTION AVG] = NNE
[WIND GUST DEGREES] = 22°
[WIND GUST DEGREES PLAIN] = 22
[WIND GUST DIRECTION] = NNE
[WIND GUST DIRECTION PLAIN] = NNE
[WIND GUST] = N/A
[WIND GUST PLAIN] = N/A
[WET BULB TEMP] = 51.3°F
[WET BULB DEGREE] = 51.3°
[WET BULB PLAIN] = 51.3

Hourly Data Tags:

[HOURLY CONDITION] = Rain
[HOURLY DAY] = Monday
[HOURLY DAY ABBREV] = Mon
[HOURLY DN] = D (or N)
[HOURLY DEW] = 8°C
[HOURLY DEW RETURN] = 8°C<BR>
[HOURLY DEW PARENS] = 8°C
[HOURLY FEELS] = 10°C
[HOURLY FEELS RETURN] = 10°C<BR>
[HOURLY FEELS PARENS] = 10°C
[HOURLY HOUR] = 11 PM
[HOURLY HUMIDITY] = 69%
[HOURLY ICON] = C:/Users/HP_Administrator/AppData/Roaming/WeatherWatcherLive/Skins/Icons/WeatherBug/cond003.gif
[HOURLY PRECIPITATION] = 60%
[HOURLY SKY COVER] = 10%
[HOURLY TEMP] = 10°C
[HOURLY TEMP PLAIN] =
[HOURLY TEMP SINGLE PLAIN] =
[HOURLY TEMP RETURN] = 10°C<BR>
[HOURLY TEMP PARENS] = 10°C
[HOURLY WIND FULL] = W 3 km/h
[HOURLY WIND] = 3 km/h
[HOURLY WIND PLAIN] = 3
[HOURLY WIND NO DIRECTION] = 3 km/h
[HOURLY WIND NO GUST] = W 3 km/h
[HOURLY WIND DIRECTION] = W
[HOURLY WIND DIRECTION PLAIN] = W

Daily Data Tags:

[DAILY CONDITION DAY] = Cloudy
[DAILY CONDITION NIGHT] = Rain
[DAILY DATE] = Apr 3
[DAILY DAY] = Monday
[DAILY DAY ABBREV] = Mon
[DAILY DAY ABBREV DN] = Mon (Night)
[DAILY DAY ABBREV SHORT] = M
[DAILY HI] = 6°C
[DAILY HI PARENS] = 6°C
[DAILY HI PLAIN] = 6
[DAILY HI RETURN] = 6°C<BR>
[DAILY HI SINGLE PLAIN] = 6°C
[DAILY ICON DAY] = C:/Users/HP_Administrator/AppData/Roaming/WeatherWatcherLive/Skins/Icons/WeatherBug/cond003.gif
[DAILY ICON NIGHT] = C:/Users/HP_Administrator/AppData/Roaming/WeatherWatcherLive/Skins/Icons/WeatherBug/cond003.gif
[DAILY LO] = 6°C
[DAILY LO PLAIN] = 6
[DAILY LO RETURN] = 6°C<BR>
[DAILY LO PARENS] = 6°C
[DAILY LO SINGLE PLAIN] = 42
[DAILY NIGHT] = Saturday Night
[DAILY NIGHT ABBREV] = Sat
[DAILY NIGHT ABBREV DN] = Sat Night
[DAILY NIGHT ABBREV SHORT] = S
[DAILY NUM] = 1
[DAILY PRECIPITATION DAY] = 70%
[DAILY PRECIPITATION NIGHT] = 70%
[DAILY PREDICTION DAY] = A 20 percent chance of a shower...mainly before 2 PM. Highs in the mid 60s.
[DAILY PREDICTION NIGHT] = Becoming mostly cloudy with scattered showers. Lows around 40.
[DAILY SUNRISE] = 6:48
[DAILY SUNRISE AMPM] = 6:48 AM
[DAILY SUNSET] = 7:34
[DAILY SUNSET AMPM] = 7:34 PM

Moon Tags:

[MOON DATE] = 4/12/2008 6:00:00 PM
[MOON DATE DAY] = 11
[MOON DAY] = Saturday
[MOON DAY ABBREV] = Sat
[MOON DAY ABBREV SHORT] = S
[MOON ICON] = C:/Users/HP_Administrator/AppData/Roaming/WeatherWatcherLive/Skins/Icons/WeatherBug/Moon/Northern/mphase08.gif
[MOON ILLUMINATION] = 50
[MOON PHASE] = First Quarter

Miscellaneous Tags:

[INSTALL LOCATION] = C:\Program Files\Weather Watcher Live
[INSTALL LOCATION ESC] = C:\\Program Files\\Weather Watcher Live
[INSTALL LOCATION SLASH] = C:/Program Files/Weather Watcher Live
[PROFILE LOCATION] = C:\Users\HP_Administrator\AppData\Roaming\WeatherWatcherLive
[PROFILE LOCATION ESC] = C:\\Users\\HP_Administrator\\AppData\\Roaming\\WeatherWatcherLive
[PROFILE LOCATION SLASH] = C:/Users/HP_Administrator/AppData/Roaming/WeatherWatcherLive
[SKIN FORECASTS] = Splendid
[SKIN ICONS] = Splendid

Additional Log-Only Tags:

[CRLF]
[TAB]

When using the Hourly, Daily or Moon tags, you must use them inside of a loop structure. See the following example for the loop structure syntax:

[HOURLY LOOP COUNT=5]
[TEMPLATE]
Day: [HOURLY DAY]
Condition: [HOURLY CONDITION]
[/TEMPLATE]
[/HOURLY LOOP]

Or, use multiple [TEMPLATE] tags to alternate row colors.

[HOURLY LOOP COUNT=5]
[TEMPLATE]
Day: [HOURLY DAY]
Condition: [HOURLY CONDITION]
[/TEMPLATE]
[TEMPLATE]
Day: [HOURLY DAY]
Condition: [HOURLY CONDITION]
[/TEMPLATE]
[/HOURLY LOOP]

In the above examples, the Day Name and Condition will be printed for the next 5 hours. To print all of the available hours, use a "*" in place of the "5".

[HOURLY LOOP COUNT=*]
[TEMPLATE]
Day: [HOURLY DAY]
Condition: [HOURLY CONDITION]
[/TEMPLATE]
[/HOURLY LOOP]

The Daily and Detailed data can be looped using a similar syntax.

[DAILY LOOP COUNT=5]
[TEMPLATE]
[DAILY DAY]
[DAILY CONDITION DAY]
[/TEMPLATE]
[/DAILY LOOP]

[MOON LOOP COUNT=5]
[TEMPLATE]
[MOON DATE]
          [MOON ILLUMINATION]
[MOON PHASE]
[/TEMPLATE]
[/MOON LOOP]

You can use the optional [START] tag to specify which item to print first. To print the
next 7 days starting tomorrow, set the [START] tag to "2".

[DAILY LOOP COUNT=7 START=2]
[TEMPLATE]
Day: [DAILY DAY]
Condition: [DAILY CONDITION DAY]
[/TEMPLATE]
[/DAILY LOOP]


Setup Command Line Parameters
The Weather Watcher Live setup was created using Inno Setup . The setup program accepts optional command line parameters. These can be useful to system administrators, and to other programs calling the setup program.

/SP-
Disables the This will install... Do you wish to continue? prompt at the beginning of the setup.

/SILENT, /VERYSILENT
Instructs the setup to be silent or very silent. When the setup is silent, the wizard and background window are not displayed but the installation progress window is. When a setup is very silent, the installation progress window is not displayed. Everything else will display as usual (e.g. error messages during installation).

If a restart is necessary and the '/NORESTART' command isn't used (see below) and the setup is silent, it will display a Reboot now? message box. If it's very silent it will reboot without asking.

/SUPPRESSMSGBOXES
Instructs Setup to suppress message boxes. Only has an effect when combined with '/SILENT' and '/VERYSILENT'.

/LOG
Causes the setup to create a log file in the user's TEMP directory detailing file installation and [Run] actions taken during the installation process. This can be a helpful debugging aid. The log file is created with a unique name based on the current date.

/LOG="filename"
Same as /LOG, except it allows you to specify a fixed path/filename to use for the log file. If a file with the specified name already exists it will be overwritten. If the file cannot be created, the setup will abort with an error message.

/NOCANCEL
Prevents the user from cancelling during the installation process, by disabling the Cancel button and ignoring clicks on the close button. Useful along with '/SILENT' or '/VERYSILENT'.

/NORESTART
Instructs the setup not to reboot even if it's necessary.

/DIR="x:\dirname"
Overrides the default directory name displayed on the Select Destination Location wizard page. A fully qualified pathname must be specified.

/GROUP="folder name"
Overrides the default folder name displayed on the Select Start Menu Folder wizard page.

/NOICONS
Instructs the setup to initially check the Don't create any icons check box on the Select Start Menu Folder wizard page.


License Agreement
END USER LICENSE AGREEMENT FOR WEATHER WATCHER LIVE

Except where otherwise noted, all of the documentation and software included in the Weather Watcher Live package is copyrighted by Mike Singer.

This software is provided "as-is," without any express or implied warranty. In no event shall the author be held liable for any damages arising from the use of this software.

This Software is being distributed as Shareware. You can register your copy of
Weather Watcher Live at www.SingersCreations.com.


Distribution of Weather Watcher Live
Provided that you verify that you are distributing the latest version of Weather Watcher Live, you are hereby licensed to make as many copies of Weather Watcher Live and the Weather Watcher Live documentation as you wish; give exact copies of Weather Watcher Live to anyone; and distribute Weather Watcher Live and the Weather Watcher Live documentation in its unmodified form via electronic means.
You are specifically prohibited from charging, or requesting donations, for any such copies, however made; and from distributing the software and/or documentation with other products (commercial or otherwise) without prior written permission.

Obtaining the Latest Version:
Before distributing Weather Watcher Live, please verify that you have the latest version. The latest version can be downloaded from the following link:

http://www.WeatherWatcherLive.com

Requirements:
Weather Watcher Live requires Windows 98, Windows 2000, Windows XP, or Windows Vista.

Author:
Mike Singer, Singer's Creations
E-mail: Mike@SingersCreations.com
Website: http://www.SingersCreations.com


Contacting Singer's Creations
Mike Singer
Singer's Creations

E-mail: Mike@SingersCreations.com
Website: http://www.SingersCreations.com

Support Forum: http://www.SingersCreations.com/Forum
Bug Report: http://www.SingersCreations.com/Bug-Report.asp